Subject: [xml2rfc] Acknowledgments in Back?

From: Robert Moskowitz <[email-masked]>
Date: Thu, 21 May 2020 11:23:40 -0400

Carsten mentioned that Acknowledgments now belong in the back:

"the Acknowledgements section to the back material, as now required by 
RFC 7322 Section 4.10 [1]"

But in the draft I am currently working on in xml2rfc --v3

draft-moskowitz-orchid-cshake-01.xml(361): Error: Invalid attribute 
numbered for element section, at /rfc/back/section[2]
draft-moskowitz-orchid-cshake-01.xml(13): Error: Invalid document before 
running preptool.

I put the Acknowledgements after my one appendix in the back.

The Acknowledgements section starts with:

<section numbered="no" toc="default"> <name>Acknowledgments</name>

I also tried:

<section numbered="no" anchor="acknowledgments" title="Acknowledgments">

Same error.

What perhaps am I doing wrong?

---

From: Julian Reschke <[email-masked]>
Date: Thu, 21 May 2020 17:51:25 +0200

> What perhaps am I doing wrong?

See
<https://greenbytes.de/tech/webdav/rfc7991.html#element.section.attribute.numbered>.
Try

   numbered="false"

Best regards, Julian

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 21 May 2020 12:03:54 -0400

> <https://greenbytes.de/tech/webdav/rfc7991.html#element.section.attribute.numbered>. 

Thanks.  That was the needed piece of magic...

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 21 May 2020 23:03:54 +0200

On 2020-05-21, at 17:51, Julian Reschke <[email-masked]> wrote:
>  numbered=“false"

(And for the historians, who will want to find the source of the confusion in a hundred years:

numbered=“no” was added in an informal manner to the v2 syntax that is documented in RFC 7749 (2629).

The first RFC that I can find that was authored with this was RFC 7401, by a certain

   <author initials="R." surname="Moskowitz"
     fullname="Robert Moskowitz" role="editor”>

and others, and the last one was RFC 8649, of August 2019.

Of course, “yes” and “no” are not pedantically pure Boolean values, so in the name of consistency this was changed into “false” and “true”.  The v2v3 converter of course understands the old attribute names; so kramdown—rfc users often use them, but not all of them:

RFC 8470 of September 2018 is the first RFC I can find with numbered=“false”, and this was built with kramdown-rfc.)

Grüße, Carsten

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 21 May 2020 17:37:53 -0400

:)

>       fullname="Robert Moskowitz" role="editor”>

I just checked draft-ietf-hip-rfc5201-bis-20.xml, and no numbered= at all.

This was put in by the RFC editor.  Though it is nice to know we were 
the first test draft->rfc.